Package org.apache.wiki.plugin

## Class WeblogArchivePlugin

- java.lang.Object
- - org.apache.wiki.plugin.WeblogArchivePlugin

All Implemented Interfaces:
  `Plugin`

    public class WeblogArchivePlugin
    extends java.lang.Object
    implements Plugin

Creates a list of all weblog entries on a monthly basis.

Parameters :

- page - the page name

Since:
  1.9.21

### Field Summary

Fields
`static java.lang.String` `PARAM_PAGE` Parameter name for setting the page.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`WeblogArchivePlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_PAGE

    public static final java.lang.String PARAM_PAGE

Parameter name for setting the page. Value is `"page"`.

See Also:
  Constant Field Values

### Constructor Detail

#### WeblogArchivePlugin

    public WeblogArchivePlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`